## BEFORE SUBMITTING

> **Please ensure you have followed this guide, _before_ submitting your issue!**
>
> - Check if this issue already exists (including closed issues!)
> - Prefix the issue title according to the [gitmoji guide](https://gitmoji.carloscuesta.me/)
> - Reference all PRs and issues related to this one
>
><details>
><summary>
>Click here for a list of commonly used issue emojis.
></summary>
>
>| Description              | Glyphe                      | Emoji|
>|--------------------------|-----------------------------|------|
>| Bugfix                   | `:bug:`                     | 🐛   |
>| Fixing Security issues   | `:lock:`                    | 🔒   |
>| Improving Performance    | `:zap:`                     | ⚡️   |
>| New Feature              | `:sparkles:`                | ✨   |
>| Refactoring Code         | `:recycle:`                 | ♻️   |
>| CI Pipeline related      | `:construction_worker_man:` | 👷   |
>| Configuration releated   | `:wrench:`                  | 🔧   |
>| Tests                    | `:white_check_mark:`        | ✅   |
>| Removing Stuff           | `:fire:`                    | 🔥   |
>| Dependencies Downgrade   | `:arrow_down:`              | ⬇️   |
>| Dependencies Upgrade     | `:arrow_up:`                | ⬆️   |
>| Linter                   | `:rotating_light:`          | 🚨   |
>| Cosmetic                 | `:lipstick:`                | 💄   |
>| Miscellaneous            | `:package:`                 | 📦   |
>
></details>
>
> **Please remove this section when you're done creating this issue.**

## Description

> Describe your issue/question here.
>
> Provide as much relevant information as you can.
> If you're not sure if something is relevant or not, include it as well!
>
>**If this is a feature request, please give a short summary as to what you need it for!**

## Reproduction

> You can remove this section, if the issue isn't something that requires reproducton.
>
> Describe how others can reproduce this issue as precisely as possible.
>
> If you can't reproduce the issue, let us know what you tried!
>
> Logs, Screenshots and BPMN files are always helpful!

## Possible solution

> This section is usually only required when reporting bugs.
> So you can remove it, if this issue is not something that needs solving.
>
> Of course, if you make a feature request and already have an idea on how
> to implement it, you are welcome to describe your proposed solution here as well!

## My setup

> You can remove this section, if it's irrelevant to the issue

- OS (`Windows/OS X/Linux` + `version`):
- Node (`node --version`):
- NPM (`npm --version`):
- Docker (`docker version --format '{{.Server.Version}}'`):
