## BEFORE SUBMITTING

> **Please ensure you have followed this guide, _before_ submitting your PR!**
>
> - Prefix the PR title according to the [gitmoji guide](https://gitmoji.carloscuesta.me/).
> - Reference all PRs and issues relevant for this PR.
> - **Be sure that you have reviewed and tested every change you made here!**
>     - If you're not sure how you can test your changes, don't hesitate to contact us!
> - List all fixed/closed issues here with `Closes #123` or `Fixes #123`.
>     - **If no issue for this PR exists, please consider creating one!**
>     - Of course, if this just fixes a typo, linter error or is something equally simple, no issue is required.
> - Add the number of this PR to this PRs body, so you can add it to the commit message.
> This will allow us to create a nice changelog for the next release.
>
><details>
><summary>
>Click here for a list of commonly used PR emojis.
></summary>
>
>| Description              | Glyphe                      | Emoji|
>|--------------------------|-----------------------------|------|
>| Work In Progress (WIP)   | `:construction:`            | 🚧   |
>| Bugfix                   | `:bug:`                     | 🐛   |
>| Fixing Security Issues   | `:lock:`                    | 🔒   |
>| Improving Performance    | `:zap:`                     | ⚡️   |
>| New Feature              | `:sparkles:`                | ✨   |
>| Refactoring Code         | `:recycle:`                 | ♻️   |
>| CI Pipeline related      | `:construction_worker_man:` | 👷   |
>| Configuration releated   | `:wrench:`                  | 🔧   |
>| Tests                    | `:white_check_mark:`        | ✅   |
>| Removing Stuff           | `:fire:`                    | 🔥   |
>| Releasing / Version tags | `:bookmark:`                | 🔖   |
>| Dependencies Downgrade   | `:arrow_down:`              | ⬇️   |
>| Dependencies Upgrade     | `:arrow_up:`                | ⬆️   |
>| Initial commit           | `:tada:`                    | 🎉   |
>| Linter                   | `:rotating_light:`          | 🚨   |
>| Cosmetic                 | `:lipstick:`                | 💄   |
>| Formatting               | `:art:`                     | 🎨   |
>| Miscellaneous            | `:package:`                 | 📦   |
>
></details>
>
> **Please remove this section when you're done creating this PR.**

## Changes

1. Change 1
2. Change 2
3. (...)

## Issues

Closes #YourIssueNumber

PR: #NumberOfThisPR

## How to test the changes

> Describe how others can test your changes (not required when fixing typos, linter errors and such)
