"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const errors_ts_1 = require("@essential-projects/errors_ts");
function createResolveIdentityMiddleware(identityService) {
    return async (request, response, next) => {
        const bearerToken = request.get('authorization');
        if (!bearerToken) {
            throw new errors_ts_1.UnauthorizedError('No auth token provided!');
        }
        const authToken = bearerToken.substr('Bearer '.length);
        const resolvedIdentity = await identityService.getIdentity(authToken);
        request.identity = resolvedIdentity;
        next();
    };
}
exports.createResolveIdentityMiddleware = createResolveIdentityMiddleware;
//# sourceMappingURL=resolve_identity.js.map